/*
    (c) 2002 - 2022 Juergen Nagel, Jan Hansen
    Northwest German Forest Research Station (https://www.nw-fva.de), 
    Grätzelstr. 2, 37079 Göttingen, Germany
    E-Mail: Jan.Hansen@nw-fva.de
 
    This file is part of the TreeGrOSS libraray.

    TreeGrOSS is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    any later version.

    TreeGrOSS is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with TreeGrOSS. If not, see http://www.gnu.org/licenses/.
*/

package treegross.base;

import java.util.EventObject;

/**
 *
 * @author jhansen
 */
public class StandChangeEvent extends EventObject {

    private final String name;
    private final String action;
    private final Object sender;

    /**
     * Creates a new instance of StandChangeEvent
     *
     * @param source
     * @param newname
     * @param action
     * @param sender
     */
    public StandChangeEvent(Object source, String newname, String action, Object sender) {
        super(source);
        name = newname;
        this.action = action;
        this.sender = sender;
    }

    public String getName() {
        return name;
    }

    public String getAction() {
        return action;
    }

    public Object getSender() {
        return sender;
    }
}
